%define		_state		stable
%define		orgname		kmag
%define		qtver		4.8.1

Summary:	K Desktop Environment - A screen magnifier
Summary(pl.UTF-8):	K Desktop Environment - Powiększalnik ekranu
Name:		kde4-%{orgname}
Version:	4.9.0
Release:	1
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	7b15ced4fc547941ff943462ba4a2bdc
URL:		http://www.kde.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libstdc++-devel
BuildRequires:	perl
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	xorg-lib-libX11-devel
Requires:	kde4-kaccessible >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
K Desktop Environment - A screen magnifier.

%description -l pl.UTF-8
K Desktop Environment - Powiększalnik ekranu.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmag
%{_desktopdir}/kde4/kmag.desktop
%dir %{_datadir}/apps/kmag
%{_datadir}/apps/kmag/kmagui.rc
%{_iconsdir}/hicolor/*/actions/followmouse.png
%{_iconsdir}/hicolor/*/actions/hidemouse.png
%{_iconsdir}/hicolor/*/actions/window.png
%{_iconsdir}/hicolor/*/apps/kmag.png
%{_kdedocdir}/en/kmag
%{_mandir}/man1/kmag.1*

%changelog
* Mon Aug 27 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kmag.git;a=log;h=master

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 29846cc
Proper name
Updated files

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 96716be
Initial commit

